# Reply Emails

> Source: https://truto.one/docs/api-reference/unified-emails-api/emails/reply/

`POST /unified/emails/emails/reply`

Resource: **Emails** · API: **Unified Emails API**

## Supported integrations

Outlook Mail

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Request body

- **`id`** _(string)_
  The unique identifier for the email
- **`to`** _(array<string>)_
  Recipient email addresses
- **`cc`** _(array<string>)_
  CC email addresses
- **`bcc`** _(array<string>)_
  BCC email addresses
- **`subject`** _(string)_
  Email subject
- **`content`** _(object)_
  - **`type`** _(string, required)_
    Content type of the email
    Allowed: `plain_text`, `html`, `plain_text`, `html`
  - **`value`** _(string, required)_
    The body of the email in the selected format
- **`reply_to`** _(string)_
  Reply-to email address
- **`priority`** _(string)_
  Priority of the email
  Allowed: `high`, `normal`, `low`, `high`, `normal`, `low`
- **`folder`** _(object)_
  The folder where the email is stored
  - **`id`** _(string, required)_
    The unique identifier for a folder
- **`remote_data`** _(object)_
  Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

## Response body

- **`id`** _(string)_
  The unique identifier for the email
- **`from`** _(string)_
  Sender email address
- **`to`** _(array<string>)_
  Recipient email addresses
- **`cc`** _(array<string>)_
  CC email addresses
- **`bcc`** _(array<string>)_
  BCC email addresses
- **`subject`** _(string)_
  Email subject
- **`content`** _(object)_
  - **`type`** _(string)_
    Content type of the email
    Allowed: `plain_text`, `html`
  - **`value`** _(string)_
    The body of the email in the selected format
- **`headers`** _(object)_
  Custom headers for the email
- **`reply_to`** _(array<string>)_
  Reply-to email address
- **`priority`** _(string)_
  Priority of the email
  Allowed: `high`, `normal`, `low`
- **`folder`** _(object)_
  The folder where the email is stored
  - **`id`** _(string)_
    The unique identifier for a folder
- **`is_draft`** _(boolean)_
  Indicates whether the email is saved as a draft (created but not sent yet). If true, the email is still edited or waiting to be sent
  Allowed: `true`, `false`
- **`attachments`** _(array<object>)_
  The attachments of the email
  - **`id`** _(string)_
    The unique identifier for the attachment
  - **`file_name`** _(string)_
    The attachment's name
  - **`file_url`** _(string)_
    The URL to download the attachment
  - **`content_type`** _(string)_
    The content type of the attachment
  - **`created_at`** _(string)_
    The time when the attachment was created
- **`urls`** _(array<object>)_
  The email's urls
  - **`url`** _(string)_
    The email's URL
  - **`type`** _(string)_
    The email's URL type
- **`created_at`** _(string)_
  The date and time the email was created
- **`updated_at`** _(string)_
  The date and time the email was last updated
- **`sent_at`** _(string)_
  The date and time the email was sent
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/unified/emails/emails/reply?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "your_id",
  "to": [],
  "cc": [],
  "bcc": [],
  "subject": "your_subject",
  "content": {},
  "reply_to": "your_reply_to",
  "priority": "high",
  "folder": {},
  "remote_data": {}
}'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const body = {
  "id": "your_id",
  "to": [],
  "cc": [],
  "bcc": [],
  "subject": "your_subject",
  "content": {},
  "reply_to": "your_reply_to",
  "priority": "high",
  "folder": {},
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/emails/emails/reply?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/emails/emails/reply"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "id": "your_id",
    "to": [],
    "cc": [],
    "bcc": [],
    "subject": "your_subject",
    "content": {},
    "reply_to": "your_reply_to",
    "priority": "high",
    "folder": {},
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: reply
const result = await truto.unifiedApi.reply(
  'emails',
  'emails',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: reply
    result = await truto_api.unified_api.reply(
        "emails",
        "emails",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
